[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Subject: dpkg-shlibdeps: warning: unknown output from ldd on




Rob -

One of the problems with alien is that distributions can give
different names to a given library.  I suspect you need the Debian
package libstdc++2.10 which supplies the library

	/usr/lib/libstdc++-3-libc6.1-2-2.10.0.so

which is also available via this symbolic link 

      /usr/lib/libstdc++-libc6.1-2.so.3

libXm is the Motif library.  I guess you want lesstifg or lesstif1.

	- Jim Van Zandt



>From: Rob Cymbala <cymbala@lafn.org>
>Date: Wed, 28 Feb 2001 10:27:25 -0800
>
>
>Regarding yesterday's error messages when using alien to convert the
>ViaVoice SDK into a .deb package... here is additional information.
>
>In an attempt to isolate the error, a spare hard drive was given a
>fresh installation of Debian 2.2r2 from December 2000.  I thought it
>would help with sound card configuration too, as a sound blaster AWE64
>was added after installing release 2.2r0 from August 2000.
>
>With a brand new operating system, using alien to convert the two
>ViaVoice packages from red hat to debian resulted in errors with both
>conversions.  Using the existing debian installation from August the
>RTK converted to a .deb package without warnings. Using the more
>recent debian from December generated warnings during the RTK
>conversion.
>
>Below are two sets of warning messages (first RTK then SDK). 
>
>For RTK, alien "could not find any packages for... libstdc++-libc6".
>Really quickily I wasn't able to find such a package.  Somehow with
>the previous installation it could find it, probably because one day I
>added a package that fulfilled a dependency.  It's odd that alien
>knows that the dependency isn't fulfilled and yet finishes by saying
>"successfully completed."
>
>For SDK, alien could not find any packages for both libstdc++-libc6
>and libXm.  Previously it could!  I wonder which package(s) are
>missing that previously I had installed.  The one warning that
>happened regardless of which Debian installation was used is the one
>about libibmeci50.  That makes sense because the name suggests an IBM
>library.  It's odd that documentation doesn't mention the need for
>that library in instructions to install ViaVoice TTS.
>
>I'll read email now and look for replies from yesterday.  Two section
>immediately below are separated with two equal signs, first RTK then
>SDK.
>
>==
>
>RTK command:
>
>fakeroot alien -d ViaVoice_TTS_rtk-5.1-1.2.i386.rpm > /floppy/f_a_d_V_r.std 2>&1
>
>7538 blocks
>dh_testdir
># Nothing to do.
>dh_testdir
>dh_testroot
>dh_clean -k
>dh_installdirs
>cp -a `ls |grep -v debian` debian/tmp
>dh_installdocs
>dh_installexamples
>dh_installmenu
>dh_installcron
>dh_installchangelogs
>dh_compress
>dh_suidregister
>dh_installdeb
>dh_shlibdeps
>debian/tmp/usr/lib/enu50.so: error in loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
>dpkg-shlibdeps: warning: ldd on `debian/tmp/usr/lib/enu50.so' gave nothing on standard output
>debian/tmp/usr/lib/libibmeci50.so: error in loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
>dpkg-shlibdeps: warning: ldd on `debian/tmp/usr/lib/libibmeci50.so' gave nothing on standard output
>dpkg:  not found.
>dpkg-shlibdeps: warning: could not find any packages for  (libstdc++-libc6.1-1.so.2)
>dpkg-shlibdeps: warning: unable to find dependency information for shared library libstdc++-libc6.1-1 (soname 2, path , dependency field Depends)
>dh_gencontrol
>dh_makeshlibs
>dh_md5sums
>dh_builddeb
>dpkg-deb: building package `viavoice-tts-rtk' in `../viavoice-tts-rtk_5.1-2.2_i386.deb'.
>-- Examining ViaVoice_TTS_rtk-5.1-1.2.i386.rpm
>-- Unpacking ViaVoice_TTS_rtk-5.1-1.2.i386.rpm
>----
>-- Automatic package debianization
>-- Building the package viavoice-tts-rtk_5.1-2.2_i386.deb
>
>Generation of viavoice-tts-rtk_5.1-2.2_i386.deb complete.
>-- Successfully finished
>
>==
>
>SDK command:
>
>fakeroot alien -d ViaVoice_TTS_sdk-5.1-1.2.i386.rpm > /floppy/f_a_d_V_s.std 2>&1
>
>2797 blocks
>dh_testdir
># Nothing to do.
>dh_testdir
>dh_testroot
>dh_clean -k
>dh_installdirs
>cp -a `ls |grep -v debian` debian/tmp
>dh_installdocs
>dh_installexamples
>dh_installmenu
>dh_installcron
>dh_installchangelogs
>dh_compress
>dh_suidregister
>dh_installdeb
>dh_shlibdeps
>dpkg-shlibdeps: warning: unknown output from ldd on `debian/tmp/usr/lib/ViaVoiceTTS/samples/cmdlinespeak/cmdlinespeak': `	libibmeci50.so => not found'
>dpkg-shlibdeps: warning: unknown output from ldd on `debian/tmp/usr/lib/ViaVoiceTTS/samples/cmdlinespeak/cmdlinespeakfile': `	libibmeci50.so => not found'
>dpkg-shlibdeps: warning: unknown output from ldd on `debian/tmp/usr/lib/ViaVoiceTTS/samples/xeloq/xeloq': `	libibmeci50.so => not found'
>dpkg:  not found.
>dpkg-shlibdeps: warning: could not find any packages for  (libstdc++-libc6.1-1.so.2)
>dpkg-shlibdeps: warning: unable to find dependency information for shared library libstdc++-libc6.1-1 (soname 2, path , dependency field Depends)
>dpkg-shlibdeps: warning: could not find any packages for  (libstdc++-libc6.1-1.so.2)
>dpkg-shlibdeps: warning: unable to find dependency information for shared library libstdc++-libc6.1-1 (soname 2, path , dependency field Depends)
>dpkg-shlibdeps: warning: could not find any packages for  (libXm.so.1)
>dpkg-shlibdeps: warning: unable to find dependency information for shared library libXm (soname 1, path , dependency field Depends)
>dpkg-shlibdeps: warning: could not find any packages for  (libstdc++-libc6.1-1.so.2)
>dpkg-shlibdeps: warning: unable to find dependency information for shared library libstdc++-libc6.1-1 (soname 2, path , dependency field Depends)
>dh_gencontrol
>dh_makeshlibs
>dh_md5sums
>dh_builddeb
>dpkg-deb: building package `viavoice-tts-sdk' in `../viavoice-tts-sdk_5.1-2.2_i386.deb'.
>-- Examining ViaVoice_TTS_sdk-5.1-1.2.i386.rpm
>-- Unpacking ViaVoice_TTS_sdk-5.1-1.2.i386.rpm
>----
>-- Automatic package debianization
>-- Building the package viavoice-tts-sdk_5.1-2.2_i386.deb
>
>Generation of viavoice-tts-sdk_5.1-2.2_i386.deb complete.
>-- Successfully finished

-----------------------------------------------------------------------------
To unsubscribe from the emacspeak list or change your address on the
emacspeak list send mail to "emacspeak-request@cs.vassar.edu" with a
subject of "unsubscribe" or "help"


Emacspeak Files | Subscribe | Unsubscribe | Search